package com.usky.website.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.website.domain.SiteArticle;
import com.usky.website.service.SiteArticleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 官网_内容管理 前端控制器
 * </p>
 *
 * @author ya
 * @since 2022-08-31
 */
@RestController
@RequestMapping("/siteArticle")
public class SiteArticleController {

    @Autowired
    private SiteArticleService siteArticleService;

    /**
     * 官网-内容管理查询
     *
     * @param categoryid 栏目ID
     * @param id         主键ID
     * @param pageNum    页数
     * @param pageSize   每页条数
     * @return
     */
    @GetMapping("siteArticleList")
    public ApiResult<CommonPage<SiteArticle>> siteArticleList(@RequestParam(value = "categoryid") Integer categoryid,
                                                              @RequestParam(value = "id", required = false) Integer id,
                                                              @RequestParam(value = "pageNum", required = false, defaultValue = "1") Integer pageNum,
                                                              @RequestParam(value = "pageSize", required = false, defaultValue = "10") Integer pageSize) {
        return ApiResult.success(siteArticleService.siteArticleList(categoryid, id, pageNum, pageSize));
    }

}

