package com.usky.website.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.AbstractCrudService;
import com.usky.website.domain.SiteArticle;
import com.usky.website.mapper.SiteArticleMapper;
import com.usky.website.service.SiteArticleService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 官网_内容管理 服务实现类
 * </p>
 *
 * @author ya
 * @since 2022-08-31
 */
@Service
public class SiteArticleServiceImpl extends AbstractCrudService<SiteArticleMapper, SiteArticle> implements SiteArticleService {

    @Override
    public CommonPage<SiteArticle> siteArticleList(Integer categoryid, Integer id, Integer pageNum, Integer pageSize) {
        IPage<SiteArticle> page = new Page<>(pageNum, pageSize);
        LambdaQueryWrapper<SiteArticle> queryWrapper = Wrappers.lambdaQuery();
        queryWrapper.eq(SiteArticle::getCategoryid, categoryid)
                .eq(id != null, SiteArticle::getId, id)
                .orderByDesc(SiteArticle::getIstop, SiteArticle::getId);
        page = this.page(page, queryWrapper);
        return new CommonPage<>(page.getRecords(), page.getTotal(), pageSize, pageNum);
    }

}
